import axios from 'axios';
import { S } from 'mockjs';


export interface LoginData {
  username: string;
  password: string;
}


export interface jobuser {
  status: string;
  code: number;
  message: string;
  data: {
    jobuser: {
      username: string;         // 账号
      password: string;         // 密码
      time: Date;        // 注册时间
      type: number;             // 累计在线时间
    }[]
  };

}

export interface Black {
  status: string;
  code: number;
  message: string;
  data: {};
}
export interface Refresh {
  status: string;
  code: number;
  data: {
    access_token: string;
    refresh_token: string;
  };
  message: string;
}

export interface ListParams {
  black?: string;
  username?: string;
}
/**
 * 
 * @param data 获取列表
 * @returns 
 */
export function lists(key:string,status:Number) {
  key=key?key:"";
  return axios.post<jobuser>('/admin/api/v1/jobuser/lists',{key,status});
}

/**
 * 
 * @param id 封禁用户
 * @returns 
 */
export function black(id: number) {
  return axios.post<Black>('/admin/api/v1/jobuser/black', { id });
}

/**
 * 
 * @param id 解禁用户
 * @returns 
 */
export function OutBlack(id: number) {
  return axios.post<Black>('/admin/api/v1/jobuser/outblack', { id });
}
/**
 * 
 * @param id 查询用户树
 * @returns 
 */
export function getSonId(id: number) {
  return axios.post<Black>('/admin/api/v1/jobuser/getSonId', { id });
}

/**
 * 
 * @param id 删除用户
 * @returns 
 */
export function del(id: number) {
  return axios.post<Black>('/admin/api/v1/jobuser/del', { id });
}

/**
 * 
 * @param 设置用户密码
 * @returns 
 */
export function set_user_password(id: number,password:string) {
  return axios.post<Black>('/admin/api/v1/jobuser/set_user_password', { id,password });
}

/**
 * 
 * @param 设置用户备注
 * @returns 
 */
export function set_user_remark(id: number,remark:string) {
  return axios.post<Black>('/admin/api/v1/jobuser/set_user_remark', { id,remark });
}

/**
 * 
 * @param 获取用户提现记录
 * @returns 
 */
export function get_user_withdraw(id: number) {
  return axios.post<Black>('/admin/api/v1/jobuser/get_user_withdraw', { id });
}